<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>HexPlot: /home/ericabro/HexPlot/20200528/HGCAL_sensor_analysis/src/exec/globals.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.1 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>File&nbsp;Members</span></a></li>
    </ul>
  </div>
<h1>/home/ericabro/HexPlot/20200528/HGCAL_sensor_analysis/src/exec/globals.h</h1><a href="globals_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 
<a name="l00007"></a>00007 <span class="preprocessor">#ifndef GLOBALS_H</span>
<a name="l00008"></a>00008 <span class="preprocessor"></span><span class="preprocessor">#define GLOBALS_H</span>
<a name="l00009"></a>00009 <span class="preprocessor"></span>
<a name="l00010"></a>00010 <span class="preprocessor">#include &lt;TGraph.h&gt;</span>
<a name="l00011"></a>00011 
<a name="l00012"></a>00012 <span class="keyword">const</span> <span class="keywordtype">int</span> MAX_CELL_NUMBER = 1000;
<a name="l00013"></a>00013 <span class="keyword">const</span> <span class="keywordtype">int</span> MAX_CELL_TYPE = 100;
<a name="l00014"></a>00014 <span class="keyword">const</span> <span class="keywordtype">int</span> MAX_SENSOR_NUMBER = 200;
<a name="l00015"></a>00015 <span class="keyword">const</span> <span class="keywordtype">int</span> MAX_DETAILED_PLOT_NUMBER = 1000;
<a name="l00016"></a>00016 <span class="keyword">const</span> <span class="keywordtype">int</span> MAX_SELECTOR_NUMBER = 500;
<a name="l00017"></a>00017 <span class="keyword">const</span> <span class="keywordtype">double</span> AUTOPAD_SELECTOR = -20000000;
<a name="l00018"></a>00018 <span class="keyword">const</span> <span class="keywordtype">double</span> SKIP_VALUE = -1000000;
<a name="l00019"></a>00019 <span class="keyword">const</span> <span class="keywordtype">double</span> CANV_WIDTH = 750;
<a name="l00020"></a>00020 <span class="keyword">const</span> <span class="keywordtype">double</span> MAX_ALLOWED_PAD_CONTENT = 1E+20;
<a name="l00021"></a>00021 
<a name="l00022"></a>00022 <span class="keyword">extern</span> <span class="keywordtype">int</span> N_VALID_FILES;
<a name="l00023"></a>00023 <span class="keyword">extern</span> std::string OUTPUT_DIR;
<a name="l00024"></a>00024 <span class="keyword">extern</span> std::string VALID_SENSOR_NAMES[MAX_SENSOR_NUMBER];
<a name="l00025"></a>00025 <span class="keyword">extern</span> TGraph* GR_CONTENTS[MAX_CELL_NUMBER];
<a name="l00026"></a>00026 <span class="keyword">extern</span> <span class="keywordtype">double</span> SENSOR_VALS_FOR_AVERAGE[MAX_SENSOR_NUMBER][MAX_CELL_NUMBER];
<a name="l00027"></a>00027 
<a name="l00028"></a>00028 <span class="preprocessor">#endif</span>
</pre></div></div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr size="1"/><address style="text-align: right;"><small>Generated on 29 May 2020 for HexPlot by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
